.o-unit-test-question-update-series-drawer {
  height: 100% !important;
  white-space:pre-wrap .rs-drawer-body {
    padding: 0;
  }
  .rs-drawer {
    &-body {
      padding: 0;

      display: flex;
      flex-direction: column;

      &-close {
        display: none;
      }
    }
  }

  &__toggle {
    position: absolute;
    top: 1rem;
    right: 2.2rem;

    width: 3.8rem;
    height: 3.8rem;
    padding: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    background: rgba($color: #6969aa, $alpha: 0.1);
    border-radius: 1rem;
    box-shadow: none !important;

    img {
      width: 1.6rem;
      height: 1.6rem;

      object-fit: contain;
      object-position: center;
    }
  }

  &__header {
    padding: 1.6rem 0 1.6rem 0;
  }

  &__title {
    color: #374352;
    font-size: 2.4rem;
    font-weight: 600;
    line-height: 3.2rem;
    text-align: left;
    padding-left: 2.6rem;
  }

  &__body {
    max-height: calc(100% - 15.2rem);
    padding: 0 3.2rem;
    background: #f5f8fc;
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: center;
  }

  &__table {
    position: relative;
    z-index: 1;
    width: 100%;
    margin: 1.6rem 0 1.6rem 0;
    padding: 0 1.6rem;

    flex: 1;
    overflow: auto;

    border-radius: 1.2rem;
    box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);

    white-space: nowrap;
    background: #fff;
    // &::-webkit-scrollbar{
    //   width: 6px;
    //   border-radius: 3px;
    //   cursor: pointer;
    // }
    // &::-webkit-scrollbar-track {
    //   background-color: transparent;
    //   border-radius: 3px;
    //   margin-top: 1rem;
    //   margin-bottom: 1rem;
    // }
    // &::-webkit-scrollbar-thumb {
    //   background: #d4dde7 !important;
    //   border-radius: 3px;
    // }
    table {
      thead {
        tr {
          position: relative;

          text-align: center;

          th {
            &:nth-child(1) {
              width: 6rem;
              min-width: 6rem;
            }
            &:nth-child(2) {
              // flex: 1;
              width: 8%;
              min-width: 8%;
              max-width: 8%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(3) {
              width: 10%;
              min-width: 10%;
              max-width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(4) {
              width: 15%;
              min-width: 15%;
              max-width: 15%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(5) {
              width: 10%;
              min-width: 10%;
              max-width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(6) {
              width: 18%;
              min-width: 18%;
              max-width: 18%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(7) {
              width: 18%;
              min-width: 18%;
              max-width: 18%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(8) {
              max-width: calc(21% - 6rem);
              min-width: calc(21% - 6rem);
            }
          }
        }
      }

      tbody {
        tr {
          position: relative;

          &:hover {
            .__action-group {
              opacity: 1;

              pointer-events: all;
            }
          }

          td {
            &:nth-child(1) {
              width: 6rem;
              min-width: 6rem;
            }
            &:nth-child(2) {
              // flex: 1;
              width: 8%;
              min-width: 8%;
              max-width: 8%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(3) {
              width: 10%;
              min-width: 10%;
              max-width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(4) {
              width: 15%;
              min-width: 15%;
              max-width: 15%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(5) {
              width: 10%;
              min-width: 10%;
              max-width: 10%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(6) {
              width: 18%;
              min-width: 18%;
              max-width: 18%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(7) {
              width: 18%;
              min-width: 18%;
              max-width: 18%;
              justify-content: flex-start;
              text-align: left;
            }
            &:nth-child(8) {
              max-width: calc(21% - 6rem);
              min-width: calc(21% - 6rem);
            }
          }
        }
      }
    }
  }

  &__empty {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    flex-direction: column;

    .__banner {
      width: 32rem;
      height: 20rem;
      margin: 0 0 3.2rem 0;

      object-fit: contain;
      object-position: center;
    }

    .__description {
      width: 40rem;
      margin: 0 0 1.6rem 0;

      color: #526375;
      font-size: 1.6rem;
      line-height: 2.4rem;
      text-align: center;
    }

    .__submit {
      min-width: 20rem;
      height: 4.8rem;
      padding: 0 1.6rem;

      background: #6868ac;
      border-radius: 1.2rem;
      box-shadow: none;

      color: #fff;
      font-size: 1.6rem;
      font-weight: 600;
    }
  }

  &__footer {
    height: 8rem;
    padding: 0 3.2rem;

    display: flex;
    align-items: center;
    justify-content: space-between;

    .__submit {
      .__update{
        min-width: 16rem;
        height: 4.8rem;
        padding: 0 1.6rem;

        background: #5db8d8;
        border-radius: 1.2rem;
        box-shadow: none;

        color: #fff;
        font-size: 1.6rem;
        font-weight: 600;

        &:disabled {
          opacity: 0.6;
        }
      }
      .__close{
        min-width: 10.6rem;
        height: 4.8rem;
        padding: 0 1.6rem;

        background: #738396;
        border-radius: 1.2rem;
        box-shadow: none;

        color: #fff;
        font-size: 1.6rem;
        font-weight: 600;

        &:disabled {
          opacity: 0.6;
        }
      }
    }
  }
  &__info{
    color: #374352;
    font-size: 1.4rem;
    font-weight: 500;
    display: flex;
    width: 80%;
    padding: 1.4rem 2rem;
    border-radius: 0.8rem;
    margin-top: 1.6rem;
    background: #fff;
    justify-content: space-evenly;
    box-shadow: 0 0.1rem 0.4rem rgba(115, 132, 152, 0.2);
    @media only screen and (max-width: 1024px) {
      width: 90%;
    }
    .__line{
      padding: 0.6rem 0;
      display: flex;
    }

    .__content-left{
      width: 36%;
      border-right: 1px solid #d4dde7;
      padding-right: 6px;
      .__line{
        span{
          &:nth-child(1){
            width: 30%;
          }
          &:nth-child(2){
            width: 70%;
          }
        }
      }
    }
    .__content-center{
      width: 22%;
      border-right: 1px solid #d4dde7;
      padding-right: 6px;
      .__line{
        span{
          &:nth-child(1){
            width: 60%;
          }
          &:nth-child(2){
            width: 40%;
          }
        }
      }
    }
    .__content-right{
      width: 33%;
      .__line{
        span{
          &:nth-child(1){
            width: 60%;
          }
          &:nth-child(2){
            width: 60%;
          }
        }
      }
    }
    .text-hight-light{
      color: #6262bc;
      font-weight: 600;
    }
    
  }
}
